COMM(1)

NAME
comm - display lines in common, and lines not in common, between two sorted lists

SYNOPSIS
comm [ -1| -2| -3| -12| -13| -23 ] filename1 filename2

DESCRIPTION

comm reads filename1 and filename2, which should be ordered in ASCII collating sequence (see sort(1V)), and produces three-column output when no options are specified:

    •   Column 1 contains lines that occur only in filename1.

    •   Column 2 contains lines only in filename2.

    •   Column 3 contains lines common to both files.

The filename `-' means the standard input.

OPTIONS

The following options can be used to suppress the indicated columns from display. You can specify `-123', but doing so suppresses all output.

-1  Suppress column 1; omit lines only in filename1.

-2  Suppress column 2; omit lines only in filename2.

-3  Suppress column 3; omit lines common to both files.

-12 Suppress columns 1 and 2; only show lines common to both files.

-13 Suppress columns 1 and 3; only show lines in filename2.

-23 Suppress columns 2 and 3; only show lines in filename1.

SEE ALSO
cmp(1), diff(1), sort(1V), uniq(1)

BUGS

The options suppress, rather than select the columns you indicate.